<?php

namespace JonathanCosta\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Submit ServiceType
 * @subpackage Services
 */
class Submit extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named SubmitInfo
     * Meta information extracted from the WSDL
     * - documentation: Método para envio de pedidos | Método para envio de pedidos | Método para envio de pedidos
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \JonathanCosta\StructType\SubmitInfo $parameters
     * @return \JonathanCosta\StructType\SubmitInfoResponse|bool
     */
    public function SubmitInfo(\JonathanCosta\StructType\SubmitInfo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SubmitInfo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \JonathanCosta\StructType\SubmitInfoResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
